import React from 'react';
import classNames from 'classnames';

import TightFormGroup from './TightFormGroup';
import TightFormInput from './TightFormInput';
import TightFormLabel from './TightFormLabel';

const TightForm = React.createClass({

  statics: {
    Group: TightFormGroup,
    Input: TightFormInput,
    Label: TightFormLabel
  },

  propTypes: {
    /**
     * Can be a tag name (eg. "div", "form", etc.) or a React component class.
     *
     * defaults to "div"
     */
    Component: React.PropTypes.oneOfType([
      React.PropTypes.func,
      React.PropTypes.string
    ]),

    /**
     *
     */
    children: React.PropTypes.node,

    /**
     * The css class name of the root element.
     */
    className: React.PropTypes.string,

    /**
     * If this is the <TightForm> element within the parent container, set
     * this to `true` so we can disable the "border-bottom" CSS prop.
     *
     * defaults to `false`
     */
    isLast: React.PropTypes.bool,

    /**
     * Override the inline-styles of the root element.
     */
    style: React.PropTypes.object
  },

  getDefaultProps() {
    return {
      Component: 'div',
      isLast: false
    };
  },

  render() {
    const {
      Component,
      children,
      className,
      isLast,
      ...others
    } = this.props;
    const classes = classNames(className, {
      "TightForm": true,
      "last": isLast
    });

    return (
      <Component {...others} className={classes}>
        {children}
      </Component>
    );
  }

});

export default TightForm;