import React from 'react';
import classNames from 'classnames';

const TightFormGroup = React.createClass({

  propTypes: {
    /**
     * Children for the <TightFormGroup>. They *should* be <TightFormLabel> or
     * <TightFormInput>'s.
     */
    children: React.PropTypes.node,

    /**
     * The css class name of the root element.
     */
    className: React.PropTypes.string,

    /**
     * Override the inline-styles of the root element.
     */
    style: React.PropTypes.object,

    /**
     * This component includes validation styles for error, warning, and
     * success states on form controls and labels.
     */
    validationState: React.PropTypes.oneOf([
      'success',
      'warning',
      'error'
    ])
  },

  render() {
    const {
      children,
      className,
      validationState,
      ...others
    } = this.props;
    const validationStyle = validationState
      ? 'has-' + validationState
      : undefined;
    const classes = classNames(className, 'TightForm-group', validationStyle);

    return (
      <div {...others} className={classes}>{children}</div>
    );
  }

});

export default TightFormGroup;