import React from 'react';
import classNames from 'classnames';

const TightFormLabel = React.createClass({

  propTypes: {
    /**
     * Can be a tag name (eg. "div", "form", etc.) or a React component class.
     *
     * defaults to "label"
     */
    Component: React.PropTypes.oneOfType([
      React.PropTypes.func,
      React.PropTypes.string
    ]),

    /**
     * Children for the <TightForm>. They *should* be <TightFormGroup>'s.
     */
    children: React.PropTypes.node,

    /**
     * The css class name of the root element.
     */
    className: React.PropTypes.string,

    /**
     * Set this to `true` to set style "border-right; 0 none;"
     *
     * defaults to `false`
     */
    noRightBorder: React.PropTypes.bool,

    /**
     * Override the inline-styles of the root element.
     */
    style: React.PropTypes.object
  },

  getDefaultProps() {
    return {
      Component: 'label',
      noRightBorder: false
    };
  },

  render() {
    const {
      Component,
      children,
      className,
      noRightBorder,
      ...others
    } = this.props;
    const classes = classNames(className, {
      "TightForm-control-label": true,
      "TightForm-border-right-none": noRightBorder
    });

    return (
      <Component {...others} className={classes}>
        {children}
      </Component>
    );
  }

});

export default TightFormLabel;